Contents
Index 🔎︎

# IIf Function

Gatii Yaayaa himannoo madaalame irratti hundaa'itii, bu'aa faankishinii lamaan danda'amu keessa tokko deebisi.

### Syntax:

    IIf (Expression, ExpressionTrue, ExpressionFalse)

### Parameters:

Himannoo: Himannoo kamuu kan madaaluu barbaadde.yoo himannoon Dhugaa madaalame ,faankishiniin bu'aa himannooDhugaa deebisa, yoo ta'u baate bu'aaa himannooSoba debisa.

HimannooDhugaa, HimannooSoba: Himannoo kamuu,tokkoon isaa akka bu'aa faankishiniitti deebi'u, yaayaa madaalli irratti hundaa'a.

IIf evaluates both ExpressionTrue and ExpressionFalse even if it returns only one of them. If one of the expressions results in error, the function returns the error. For example, do not use IIF to bypass a possible division by zero result.

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

    REM Returns the maximum of 3 values
    Function Max (A As Double, B As Double, C, As Double) As Double
        Max = IIf( A >= B, A, B)
        Max = IIf( C >= Max, C, Max)
    End Function
    REM Bad usage of function IIf
    Function Inverse(A As Double) As Double
        Inverse = IIf( A = 0, 0, 1/A )
    End Function

Matadureewwan Walfakkatan

If or Select Case statements

Switch function